Subject: Re: bug#6230: 23.2; Pixmaps kept in X11 after (svg?) images no longer are used

From: Chong Yidong <[email-masked]>
Date: Thu, 20 May 2010 16:32:18 -0400

Anders Waldenborg <[email-masked]> writes:

> However I can't see that it is done every 100 redisplays. If it were I
> would expect the code below to never create more than 100 (+ the ones
> that were there before it started) pixmaps in X11. Letting it run
> while writing this mail it now has reached above 3000 pixmaps
> according to xrestop.

Oh, yes, I forgot.  There is image-cache-eviction-delay as well.  If you
set this to a sufficiently small number, the test frees the pixmaps as
required.

Is there a specific reason you are interested in this problem?  It's
possible that we need to improve the conditions under which the image
cache is freed, but it's hard to tell unless we have a use-case in mind.
(Obviously, the current system assumes that the rate at which images are
created is much lower than the "usual editing speed".)